Summary: The set of prerequisites for any freedesktop compliant Window Manager.
Name: freedesktop-common
Version: 1.0
Release: alt0.5
License: GPL2+ or Artistic
Group: Graphical desktop/Other
Packager: Igor Vlasenko <viy@altlinux.ru>
URL: http://wiki.altlinux.org/WMPackagingPolicy
BuildArch: noarch

Requires: desktop-file-utils shared-mime-info
# added automatically when needed
# Requires: xinitrc

%description
freedesktop-common is the set of default AltLinux prerequisites 
for any freedesktop compliant Window Manager. 
It includes dependecies for desktop and mime database. 

The key is that packages that has freedesktop DE/WM-specific resources 
such as icons or .desktop files should nether require corresponding 
utilities such as desktop-file-utils, nor call them in 
their %%post/%%postun scripts. 

Instead, the packages that are capable to utilize those resources
(namely, Window Managers and Desktop Environments) should have
a single requirement to freedesktop-common.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT%_bindir

%files 

%changelog
* Sat Sep 13 2008 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.5
- initial build for Daedalus
